			<div class="wrap">
				<h2><?php _e('UserCredits - Balance Resets', 'uc'); ?></h2>
				<?php
				if (isset($_POST['balancereset'])){
					$balancereset = intval($_POST['balancereset']);
					update_option('obr_balancereset', $balancereset);
					echo '<div id="message" class="updated fade"><p><strong>';
					_e('Balance reset option updated.' ,'uc');
					echo '</strong></p></div>';
				}
				if (isset($_POST['manualupdate'])){
					$this->obr_periodic_credits_review();
				}
				?>
				<p><?php _e('Balance Resets occur when credits which expire reach their expiry date.', 'uc'); ?></p>
				<p><?php _e('Once credits expire you can choose how UserCredits will behave.', 'uc'); ?></p>
				<p><?php _e('Please note that this only affects users who are assigned to bundles with expiry periods.', 'uc'); ?></p>
				<?php $balancereset = intval(get_option('obr_balancereset')); ?>
				<form method="post" action="">
				<table class="wp-list-table widefat">
					<thead>
						<tr>
							<th colspan="2"><?php _e('Option', 'uc'); ?></th>
							<th>&nbsp;</th>
							<th>&nbsp;</th>
						</tr>
					</thead>
					<tbody>
						<tr class="alternate">
							<td>1</td>
							<td><input type="radio" name="balancereset" value="0" <?php checked($balancereset, 0); ?> /></td>
							<td><strong><?php _e('Reset balances to the bundle default', 'uc'); ?></strong></td>
							<td><?php _e('This might be appropriate where you have a regular subscription-based system and the users are entitled to a certain number of credits only for the bundle period.', 'uc'); ?></td>
						</tr>
						<tr>
							<td>2</td>
							<td><input type="radio" name="balancereset" value="1" <?php checked($balancereset, 1); ?> /></td>
							<td><strong><?php _e('Reset balances to zero', 'uc'); ?></strong></td>
							<td><?php _e('This might be appropriate where you have an ad hoc subscription system and the users are entitled to a certain number of credits only for the bundle period.', 'uc'); ?></td>
						</tr>
						<tr class="alternate">
							<td>3</td>
							<td><input type="radio" name="balancereset" value="2" <?php checked($balancereset, 2); ?> /></td>
							<td><strong><?php _e('Add the default bundle amount to the credit balance', 'uc'); ?></strong></td>
							<td><?php _e('This might be appropriate where you want users to gain additional credits for continuing to use the site over time, or where users are on a regular subscription-based system which entitles them to a certain number of new credits per month.', 'uc'); ?></td>
						</tr>
						<tr>
							<td colspan="4">
								<input type="submit" name="balanceresetupdate" id="balanceresetupdate" value="<?php _e('Update', 'uc'); ?>" />
							</td>
						</tr>
					</tbody>
				</table>
				</form>
				<br />
				<h3><?php _e('Automatic Balance Update', 'uc'); ?></h3>
				<p><?php _e('WordPress will run a twice daily scheduled update to review expiry dates and adjust user balances to the default for that bundle level, depending upon their expiry date.', 'uc'); ?></p>
				<p><?php _e('Please note that WordPress\' automatic scheduler has limitations, so you may need to use the manual button below to force a user balance review, or if you decide that you do not want to wait for the next scheduled update.', 'uc'); ?></p>
				<form method="post" action="">
					<input type="submit" name="manualupdate" id="manualupdate" value="<?php _e('Manually update all balances now', 'uc'); ?>" onclick="return confirm('<?php _e('Are you sure? Press OK to confirm', 'uc'); ?>')" />
				</form>
				<br />
			</div>
