			<div class="wrap">
				<h2><?php _e('UserCredits - Custom Messages', 'uc'); ?></h2>
				<?php
				if (isset($_POST['submit'])){
					$cm_dup_txn = esc_attr($_POST['cm_dup_txn']);
					update_option('obr_cm_dup_txn', $cm_dup_txn);
					$cm_site_txn = esc_attr($_POST['cm_site_txn']);
					update_option('obr_cm_site_txn', $cm_site_txn);
					$cm_inc_success = esc_attr($_POST['cm_inc_success']);
					update_option('obr_cm_inc_success', $cm_inc_success);
					$cm_inc_failure = esc_attr($_POST['cm_inc_failure']);
					update_option('obr_cm_inc_failure', $cm_inc_failure);
					$cm_bundle_no_match = esc_attr($_POST['cm_bundle_no_match']);
					update_option('obr_cm_bundle_no_match', $cm_bundle_no_match);
					$cm_nothing_to_process = esc_attr($_POST['cm_nothing_to_process']);
					update_option('obr_cm_nothing_to_process', $cm_nothing_to_process);

					$cm_db_singular = esc_attr($_POST['cm_db_singular']);
					update_option('obr_cm_db_singular', $cm_db_singular);
					$cm_db_plural = esc_attr($_POST['cm_db_plural']);
					update_option('obr_cm_db_plural', $cm_db_plural);
					$cm_db_singular_with_expiry = esc_attr($_POST['cm_db_singular_with_expiry']);
					update_option('obr_cm_db_singular_with_expiry', $cm_db_singular_with_expiry);
					$cm_db_plural_with_expiry = esc_attr($_POST['cm_db_plural_with_expiry']);
					update_option('obr_cm_db_plural_with_expiry', $cm_db_plural_with_expiry);
					$cm_db_not_logged_in = esc_attr($_POST['cm_db_not_logged_in']);
					update_option('obr_cm_db_not_logged_in', $cm_db_not_logged_in);

					$cm_pb_access = esc_attr($_POST['cm_pb_access']);
					update_option('obr_cm_pb_access', $cm_pb_access);
					$cm_pb_noaccess = esc_attr($_POST['cm_pb_noaccess']);
					update_option('obr_cm_pb_noaccess', $cm_pb_noaccess);
					$cm_pb_no_pageid = esc_attr($_POST['cm_pb_no_pageid']);
					update_option('obr_cm_pb_no_pageid', $cm_pb_no_pageid);

					$cm_cc_purchase_singular = esc_attr($_POST['cm_cc_purchase_singular']);
					update_option('obr_cm_cc_purchase_singular', $cm_cc_purchase_singular);
					$cm_cc_purchase_plural = esc_attr($_POST['cm_cc_purchase_plural']);
					update_option('obr_cm_cc_purchase_plural', $cm_cc_purchase_plural);
					$cm_cc_purchase_problem = esc_attr($_POST['cm_cc_purchase_problem']);
					update_option('obr_cm_cc_purchase_problem', $cm_cc_purchase_problem);
					$cm_cc_not_logged_in = esc_attr($_POST['cm_cc_not_logged_in']);
					update_option('obr_cm_cc_not_logged_in', $cm_cc_not_logged_in);
					$cm_cc_need_credit_singular = esc_attr($_POST['cm_cc_need_credit_singular']);
					update_option('obr_cm_cc_need_credit_singular', $cm_cc_need_credit_singular);
					$cm_cc_need_credit_plural = esc_attr($_POST['cm_cc_need_credit_plural']);
					update_option('obr_cm_cc_need_credit_plural', $cm_cc_need_credit_plural);
					$cm_cc_need_to_purchase_button = esc_attr($_POST['cm_cc_need_to_purchase_button']);
					update_option('obr_cm_cc_need_to_purchase_button', $cm_cc_need_to_purchase_button);
					$cm_cc_need_more_credits = esc_attr($_POST['cm_cc_need_more_credits']);
					update_option('obr_cm_cc_need_more_credits', $cm_cc_need_more_credits);
					$cm_cc_need_more_credits_link = esc_url($_POST['cm_cc_need_more_credits_link']);
					update_option('obr_cm_cc_need_more_credits_link', $cm_cc_need_more_credits_link);
					$cm_cc_confirm_purchase = esc_attr($_POST['cm_cc_confirm_purchase']);
					update_option('obr_cm_cc_confirm_purchase', $cm_cc_confirm_purchase);
					?>
					<div id="message" class="updated fade">
						<p><?php _e('Your custom messages have been updated.', 'uc'); ?></p>
					</div>
					<?php
				}
				?>
				<p><?php _e('Use this section to customise the messages that are displayed to your site\'s users.  If you do not enter anything in the custom message box, then the UserCredits default message will be displayed.', 'uc'); ?></p>
				<form method="post" action="">
					<table class="wp-list-table widefat">
						<thead>
							<tr>
								<th><?php _e('Ref', 'uc'); ?></th>
								<th><?php _e('Default Message', 'uc'); ?></th>
								<th><?php _e('Custom Message', 'uc'); ?></th>
								<th><?php _e('Situation', 'uc'); ?></th>
								<th><?php _e('Notes', 'uc'); ?></th>
							</tr>
						</thead>
						<tbody>
							<tr class="alternate">
								<td colspan=5><strong><?php _e('Adding Credits (using the [obr_add_credits] shortcode)', 'uc'); ?></strong></td>
							</tr>
							<tr>
								<td>1.1</td>
								<td><?php _e('Successfully added %d credits.', 'uc'); ?></td>
								<?php $cm_inc_success = esc_attr(get_option('obr_cm_inc_success')); ?>
								<td><input name="cm_inc_success" value="<?php echo $cm_inc_success; ?>" /></td>
								<td><?php _e('Successfully added credits', 'uc'); ?></td>
								<td><?php _e('Displayed when credits have been successfully added.  Please note that %d will be automatically replaced with the number of credits added.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>1.2</td>
								<td><?php _e('Could not record your transaction.  Please contact the administrator.', 'uc'); ?></td>
								<?php $cm_inc_failure = esc_attr(get_option('obr_cm_inc_failure')); ?>
								<td><input name="cm_inc_failure" value="<?php echo $cm_inc_failure; ?>" /></td>
								<td><?php _e('Could not add credits', 'uc'); ?></td>
								<td><?php _e('Displayed when credits should have been added but could not add them, possibly due to a problem writing to the database.', 'uc'); ?></td>
							</tr>
							<tr>
								<td>1.3</td>
								<td><?php _e('Transaction ID used previously.', 'uc'); ?></td>
								<?php $cm_dup_txn = esc_attr(get_option('obr_cm_dup_txn')); ?>
								<td><input name="cm_dup_txn" value="<?php echo $cm_dup_txn; ?>" /></td>
								<td><?php _e('Duplicate transaction', 'uc'); ?></td>
								<td><?php _e('Displayed when a transaction ID has been used previously.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>1.4</td>
								<td><?php _e('%1$.2f does not match a valid bundle.', 'uc'); ?></td>
								<?php $cm_bundle_no_match = esc_attr(get_option('obr_cm_bundle_no_match')); ?>
								<td><input name="cm_bundle_no_match" value="<?php echo $cm_bundle_no_match; ?>" /></td>
								<td><?php _e('Bundle not matched', 'uc'); ?></td>
								<td><?php _e('Displayed when amount to be processed does not match an existing credit bundle that you have defined on the Bundles page.  Please note that %1$.2f will be automatically replaced with the monetary value of the transaction.', 'uc'); ?></td>
							</tr>
							<tr>
								<td>1.5</td>
								<td><?php _e('Nothing to process.  If you think you are seeing this message in error, please contact the administrator.', 'uc'); ?></td>
								<?php $cm_nothing_to_process = esc_attr(get_option('obr_cm_nothing_to_process')); ?>
								<td><input name="cm_nothing_to_process" value="<?php echo $cm_nothing_to_process; ?>" /></td>
								<td><?php _e('Nothing to process', 'uc'); ?></td>
								<td><?php _e('Displayed when UserCredits cannot proceed, e.g. if the information is being passed to it with incorrect variable names.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>1.6</td>
								<td><?php _e('Failed site transaction filter.', 'uc'); ?></td>
								<?php $cm_site_txn = esc_attr(get_option('obr_cm_site_txn')); ?>
								<td><input name="cm_site_txn" value="<?php echo $cm_site_txn; ?>" /></td>
								<td><?php _e('Custom transaction filter fail', 'uc'); ?></td>
								<td><?php _e('If you are an advanced user and you are using the "obr_txn_check" transaction filter, you can customise this message.', 'uc'); ?></td>
							</tr>
							<tr>
								<td colspan=5><input type="submit" name="submit" value="<?php _e('Save All Custom Messages', 'uc') ?>" /></td>
							</tr>
							<tr class="alternate">
								<td colspan=5>&nbsp;</td>
							</tr>
							<tr>
								<td colspan=5><strong><?php _e('Displaying Balances (using the [obr_display_balance] shortcode)', 'uc'); ?></strong></td>
							</tr>
							<tr>
								<td colspan=5><?php _e('Messages 2.1 to 2.4 below will be used throughout the site when balances are displayed.  If you want to change a single instance of this message, you can use the "singular" and "plural" parameters in the shortcode on that page.  For more information, please see the Help & Usage page.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>2.1</td>
								<td><?php _e('You have 1 credit.', 'uc'); ?></td>
								<?php $cm_db_singular = esc_attr(get_option('obr_cm_db_singular')); ?>
								<td><input name="cm_db_singular" value="<?php echo $cm_db_singular; ?>" /></td>
								<td><?php _e('1 credit message, without expiry date', 'uc'); ?></td>
								<td><?php _e('Displayed when the user\'s balance is 1 credit.', 'uc'); ?></td>
							</tr>
							<tr>
								<td>2.2</td>
								<td><?php _e('You have %d credits.', 'uc'); ?></td>
								<?php $cm_db_plural = esc_attr(get_option('obr_cm_db_plural')); ?>
								<td><input name="cm_db_plural" value="<?php echo $cm_db_plural; ?>" /></td>
								<td><?php _e('Plural message, without expiry date', 'uc'); ?></td>
								<td><?php _e('Displayed when the user\'s credit balance is greater than 1 (or equal to 0).', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>2.3</td>
								<td><?php _e('You have 1 credit which expires on %s.', 'uc'); ?></td>
								<?php $cm_db_singular_with_expiry = esc_attr(get_option('obr_cm_db_singular_with_expiry')); ?>
								<td><input name="cm_db_singular_with_expiry" value="<?php echo $cm_db_singular_with_expiry; ?>" /></td>
								<td><?php _e('1 credit message, with expiry date', 'uc'); ?></td>
								<td><?php _e('As 2.1, but with the expiry date.  %s will be automatically replaced with the expiry date.  Please note you will need to add the "showexpiry=true" parameter into the [obr_display_balance] shortcode on the page.', 'uc'); ?></td>
							</tr>
							<tr>
								<td>2.4</td>
								<td><?php _e('You have %d credits which expire on %s.', 'uc'); ?></td>
								<?php $cm_db_plural_with_expiry = esc_attr(get_option('obr_cm_db_plural_with_expiry')); ?>
								<td><input name="cm_db_plural_with_expiry" value="<?php echo $cm_db_plural_with_expiry; ?>" /></td>
								<td><?php _e('Plural message, with expiry date', 'uc'); ?></td>
								<td><?php _e('As 2.2, but with the expiry date.  %s will be automatically replaced with the expiry date.  Please note you will need to add the "showexpiry=true" parameter into the [obr_display_balance] shortcode on the page.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>2.5</td>
								<td><?php _e('You need to be logged in to view your balance.', 'uc'); ?></td>
								<?php $cm_db_not_logged_in = esc_attr(get_option('obr_cm_db_not_logged_in')); ?>
								<td><input name="cm_db_not_logged_in" value="<?php echo $cm_db_not_logged_in; ?>" /></td>
								<td><?php _e('User is not logged in', 'uc'); ?></td>
								<td><?php _e('Displayed when a user has tried to view their balance but is not logged into the site.', 'uc'); ?></td>
							</tr>
							<tr>
								<td colspan=5><input type="submit" name="submit" value="<?php _e('Save All Custom Messages', 'uc') ?>" /></td>
							</tr>
							<tr class="alternate">
								<td colspan=5>&nbsp;</td>
							</tr>
							<tr>
								<td colspan=5><strong><?php _e('Page Buttons (using the [obr_page_button] shortcode)', 'uc'); ?></strong></td>
							</tr>
							<tr>
								<td colspan=5><?php _e('Messages 3.1 and 3.2 below will be used throughout the site when page buttons are displayed.  If you want to change a single instance of this message, you can use the "access" and "noaccess" parameters in the shortcode on that page.  For more information, please see the Help & Usage page.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>3.1</td>
								<td><?php _e('Open Page', 'uc'); ?></td>
								<?php $cm_pb_access = esc_attr(get_option('obr_cm_pb_access')); ?>
								<td><input name="cm_pb_access" value="<?php echo $cm_pb_access; ?>" /></td>
								<td><?php _e('Page "unlocked" button message', 'uc'); ?></td>
								<td><?php _e('Displayed on a page button when the user has previously unlocked this page.', 'uc'); ?></td>
							</tr>
							<tr>
								<td>3.2</td>
								<td><?php _e('Page Preview', 'uc'); ?></td>
								<?php $cm_pb_noaccess = esc_attr(get_option('obr_cm_pb_noaccess')); ?>
								<td><input name="cm_pb_noaccess" value="<?php echo $cm_pb_noaccess; ?>" /></td>
								<td><?php _e('Page "locked" button message', 'uc'); ?></td>
								<td><?php _e('Displayed on a page button when the user has not previously unlocked this page, i.e. when it is still locked.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>3.3</td>
								<td><?php _e('The page with id number %d does not exist.', 'uc'); ?></td>
								<?php $cm_pb_no_pageid = esc_attr(get_option('obr_cm_pb_no_pageid')); ?>
								<td><input name="cm_pb_no_pageid" value="<?php echo $cm_pb_no_pageid; ?>" /></td>
								<td><?php _e('The page requested cannot be found', 'uc'); ?></td>
								<td><?php _e('Displayed instead of a button when the page id does not exist.  Please note that %d will be automatically replaced with the id number of the requested page.', 'uc'); ?></td>
							</tr>
							<tr>
								<td colspan=5><input type="submit" name="submit" value="<?php _e('Save All Custom Messages', 'uc') ?>" /></td>
							</tr>
							<tr class="alternate">
								<td colspan=5>&nbsp;</td>
							</tr>
							<tr>
								<td colspan=5><strong><?php _e('Working with Credits (using the [obr_check_credits] shortcode)', 'uc'); ?></strong></td>
							</tr>
							<tr class="alternate">
								<td>4.1</td>
								<td><?php _e('Thank you for your purchase. You now have 1 credit.', 'uc'); ?></td>
								<?php $cm_cc_purchase_singular = esc_attr(get_option('obr_cm_cc_purchase_singular')); ?>
								<td><input name="cm_cc_purchase_singular" value="<?php echo $cm_cc_purchase_singular; ?>" /></td>
								<td><?php _e('Successful page purchase.  1 credit remaining after purchase', 'uc'); ?></td>
								<td><?php _e('Displayed when a user has successfully purchased access to a page and has 1 credit left.', 'uc'); ?></td>
							</tr>
							<tr>
								<td>4.2</td>
								<td><?php _e('Thank you for your purchase. You now have %d credits.', 'uc'); ?></td>
								<?php $cm_cc_purchase_plural = esc_attr(get_option('obr_cm_cc_purchase_plural')); ?>
								<td><input name="cm_cc_purchase_plural" value="<?php echo $cm_cc_purchase_plural; ?>" /></td>
								<td><?php _e('Successful page purchase.  Multiple (or 0) credits left', 'uc'); ?></td>
								<td><?php _e('Displayed when a user has successfully purchased access to a page and has either 0 credits left or multiple credits left.  Please note that %d will be automatically replaced with the number of credits remaining.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>4.3</td>
								<td><?php _e('There was a problem with your purchase.  Please contact the administrator.', 'uc'); ?></td>
								<?php $cm_cc_purchase_problem = esc_attr(get_option('obr_cm_cc_purchase_problem')); ?>
								<td><input name="cm_cc_purchase_problem" value="<?php echo $cm_cc_purchase_problem; ?>" /></td>
								<td><?php _e('Unsuccessful page purchase', 'uc'); ?></td>
								<td><?php _e('Displayed when a user has tried to purchase a page but the process has been unsuccessful.', 'uc'); ?></td>
							</tr>
							<tr>
								<td>4.4</td>
								<td><?php _e('You need to be logged in to purchase and view this page.', 'uc'); ?></td>
								<?php $cm_cc_not_logged_in = esc_attr(get_option('obr_cm_cc_not_logged_in')); ?>
								<td><input name="cm_cc_not_logged_in" value="<?php echo $cm_cc_not_logged_in; ?>" /></td>
								<td><?php _e('User is not logged in', 'uc'); ?></td>
								<td><?php _e('Displayed when a user has tried to view a page but is not logged in to the site.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>4.5</td>
								<td><?php _e('You need 1 credit to access this page.', 'uc'); ?></td>
								<?php $cm_cc_need_credit_singular = esc_attr(get_option('obr_cm_cc_need_credit_singular')); ?>
								<td><input name="cm_cc_need_credit_singular" value="<?php echo $cm_cc_need_credit_singular; ?>" /></td>
								<td><?php _e('User needs to buy 1 credit to access page', 'uc'); ?></td>
								<td><?php _e('Displayed when a user needs to spend 1 credit to gain access to the page.  The relevant message from 2.1 or 2.2 is displayed first, followed by this message.', 'uc'); ?></td>
							</tr>
							<tr>
								<td>4.6</td>
								<td><?php _e('You need %d credits to access this page.', 'uc'); ?></td>
								<?php $cm_cc_need_credit_plural = esc_attr(get_option('obr_cm_cc_need_credit_plural')); ?>
								<td><input name="cm_cc_need_credit_plural" value="<?php echo $cm_cc_need_credit_plural; ?>" /></td>
								<td><?php _e('User needs to buy more than 1 credit to access page', 'uc'); ?></td>
								<td><?php _e('Displayed when a user needs to spend more than 1 credit to gain access to the page.  The relevant message from 2.1 or 2.2 is displayed first, followed by this message.  Please note that the %d will be automatically replaced with the number of credits required to access the page.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>4.7</td>
								<td><?php _e('Purchase Page', 'uc'); ?></td>
								<?php $cm_cc_need_to_purchase_button = esc_attr(get_option('obr_cm_cc_need_to_purchase_button')); ?>
								<td><input name="cm_cc_need_to_purchase_button" value="<?php echo $cm_cc_need_to_purchase_button; ?>" /></td>
								<td><?php _e('Button text for purchasing access to a page', 'uc'); ?></td>
								<td><?php _e('Displayed on the button which the user needs to click on to purchase access to the page.', 'uc'); ?></td>
							</tr>
							<tr>
								<td>4.8</td>
								<td><?php _e('You need to buy more credits to access this page.', 'uc'); ?></td>
								<?php $cm_cc_need_more_credits = esc_attr(get_option('obr_cm_cc_need_more_credits')); ?>
								<td><input name="cm_cc_need_more_credits" value="<?php echo $cm_cc_need_more_credits; ?>" /></td>
								<td><?php _e('User needs more credits', 'uc'); ?></td>
								<td><?php _e('Displayed when the user needs to buy more credits to purchase access to the page.', 'uc'); ?></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td>&nbsp;</td>
								<?php $cm_cc_need_more_credits_link = esc_url(get_option('obr_cm_cc_need_more_credits_link')); ?>
								<td><input name="cm_cc_need_more_credits_link" value="<?php echo $cm_cc_need_more_credits_link; ?>" /></td>
								<td>&nbsp;</td>
								<td><?php _e('Optional URL (e.g. http://www.ofrm.co.uk) which can be used with the custom message above to create a link to your "Buy Now" page.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>4.9</td>
								<td><?php _e('None.', 'uc'); ?></td>
								<?php $cm_cc_confirm_purchase = esc_attr(get_option('obr_cm_cc_confirm_purchase')); ?>
								<td><input name="cm_cc_confirm_purchase" value="<?php echo $cm_cc_confirm_purchase; ?>" /></td>
								<td><?php _e('Pop-up confirmation', 'uc'); ?></td>
								<td><?php _e('If you would like a pop-up confirmation message to appear when the user clicks on a button to spend credits, please enter a message in the custom message box here.  If no message is set here, then no pop-up box is displayed and credits will be deducted straight away from the user\'s balance.', 'uc'); ?></td>
							</tr>
							<tr>
								<td colspan=5><input type="submit" name="submit" value="<?php _e('Save All Custom Messages', 'uc') ?>" /></td>
							</tr>
						</tbody>
					</table>
				</form>
				<br />
				<br />
			</div>