<?php 
// actions which need to be linked to the init hook

				global $wpdb;
				global $obr_table_name;
				global $obr_purchase_log_table_name;

				$userid = get_current_user_id();

				// this is the processing for user-credits-my-usercredits-admin.php page
				if (isset($_POST['submit_my_uc_admin'])){
					// we need to update a balance
					$transfervalue = intval($_POST['transfervalue']);
					if ($transfervalue <= 0){
						$q = false;
						$q2 = false;
					} else {
						$userbalance = $this->obr_balance($userid);
						if ($transfervalue > $userbalance){
							// limit the maximum transfer
							$transfervalue = $userbalance;
						}
						$newuserbalance = $userbalance - $transfervalue;
						$userbundletype = $wpdb->get_var("select fld_bundle_type from $obr_table_name where ID=$userid;");

						$userdata = get_userdata($userid);
						$username = $userdata->display_name;

						$transfereeid = intval($_POST['transferee']);
						$transfereedata = get_userdata($transfereeid);
						$transfereename = $transfereedata->display_name;
						$transfereebalance = $this->obr_balance($transfereeid);
						$newtransfereebalance = $transfereebalance + $transfervalue;
						$transfereebundletype = $wpdb->get_var("select fld_bundle_type from $obr_table_name where ID=$transfereeid;");

						$transaction_id = __(sprintf('User Transfer: %1$d from user %2$d (%3$s) to user %4$d (%5$s)', $transfervalue, $userid, $username, $transfereeid, $transfereename), 'uc');
						$q = $this->obr_update_credits($transfereeid, $newtransfereebalance, $transfereebundletype, 0, 0, $transaction_id);
						$q2 = $this->obr_update_credits($userid, $newuserbalance, $userbundletype, 0, 0, $transaction_id);
					}
					?>

					<?php if ($q && $q2) : ?>
						<div id="message" class="updated fade">
							<p><?php _e('The credits have been transferred.', 'uc'); ?></p>
							<p><?php echo $transaction_id; ?></p>
						</div>
					<?php else : ?>
						<div id="message" class="error fade">
							<p><?php _e('The amount to transfer must be greater than zero.', 'uc'); ?></p>
						</div>
					<?php endif; ?>
					<?php
				}

				// this is the processing for user-credits-my-user-balances-admin.php page
				if (isset($_POST['submit_user_balances'])){
					// we need to update a balance
					$id = intval($_POST['id']);
					$balance = intval($_POST['balance']);
					$bundle = intval($_POST['bundle']);
					$updateexpiry = 0;
					$userbalanceadminexpiryupdate = -1;
					if (isset($_POST['updateexpiry'])){
						// the update expiry box is checked
						$updateexpiry = 1;
						$userbalanceadminexpiryupdate = intval($_POST['expiry']);
					}

					$transaction_id = __('Admin Adjustment', 'uc');
					$q = $this->obr_update_credits($id, $balance, $bundle, $updateexpiry, 0, $transaction_id, $userbalanceadminexpiryupdate);
					?>

					<?php if ($q) : ?>
						<div id="message" class="updated fade">
							<p><?php _e('The balances have been updated.', 'uc'); ?></p>
						</div>
					<?php else : ?>
						<div id="message" class="error fade">
							<p><?php _e('The balances could not be updated.', 'uc'); ?></p>
						</div>
					<?php endif; ?>
					<?php
				}

				// this is the processing for the user-credits-set-up-admin.php page
				if (isset($_POST['submit_set_up'])){
					$defaultcredits = intval($_POST['defaultcredits']);
					update_option('obr_defaultcredits', $defaultcredits);
					$low_credit_emails = intval($_POST['low_credit_emails']);
					update_option('obr_low_credit_emails', $low_credit_emails);

					$credit_added_emails = '';
					if (isset($_POST['credit_added_emails'])){
						$credit_added_emails = esc_attr($_POST['credit_added_emails']);
					}
					if ($credit_added_emails == 'on'){
						update_option('obr_credit_added_emails', $credit_added_emails);
					} else {
						update_option('obr_credit_added_emails', '');
					}

					$balance_update_emails = '';
					if (isset($_POST['balance_update_emails'])){
						$balance_update_emails = esc_attr($_POST['balance_update_emails']);
					}
					if ($balance_update_emails == 'on'){
						update_option('obr_balance_update_emails', $balance_update_emails);
					} else {
						update_option('obr_balance_update_emails', '');
					}

					$pagecost = intval($_POST['pagecost']);
					update_option('obr_pagecost', $pagecost);
					$pageexpiry = intval($_POST['pageexpiry']);
					update_option('obr_pageexpiry', $pageexpiry);
					$default_add_variable_name = esc_attr($_POST['default_add_variable_name']);
					update_option('obr_default_add_variable_name', $default_add_variable_name);
					$default_transaction_variable_name = esc_attr($_POST['default_transaction_variable_name']);
					update_option('obr_default_transaction_variable_name', $default_transaction_variable_name);
					$processing_method = intval($_POST['processing_method']);
					update_option('obr_processing_method', $processing_method);

					$enable_admin_bar_balance = '';
					if (isset($_POST['enable_admin_bar_balance'])){
						$enable_admin_bar_balance = esc_attr($_POST['enable_admin_bar_balance']);
					}
					if ($enable_admin_bar_balance == 'on'){
						update_option('obr_enable_admin_bar_balance', $enable_admin_bar_balance);
					} else {
						update_option('obr_enable_admin_bar_balance', '');
					}

					$allow_credit_transfers = '';
					if (isset($_POST['allow_credit_transfers'])){
						$allow_credit_transfers = esc_attr($_POST['allow_credit_transfers']);
					}
					if ($allow_credit_transfers == 'on'){
						update_option('obr_allow_credit_transfers', $allow_credit_transfers);
					} else {
						update_option('obr_allow_credit_transfers', '');
					}

					?>
					<div id="message" class="updated fade">
						<p><?php _e('Your settings have been updated.', 'uc'); ?></p>
					</div>
					<?php
				}

?>