			<div class="wrap">
				<h2><?php _e('UserCredits - My UserCredits Admin', 'uc'); ?></h2>
				<?php
				global $wpdb;
				global $obr_table_name;
				global $obr_purchase_log_table_name;

				$userid = get_current_user_id();

				$q = $wpdb->get_row("select * from $obr_table_name where ID = $userid;");
				if ($q){
					$credits = $q->fld_credits;
					if (is_null($q->fld_expiry_date) || ($q->fld_expiry_date = '0000-00-00 00:00:00')){
						$singular = __('You have 1 credit.', 'uc');
						$plural = __('You have %d credits.', 'uc');
						$message = sprintf(_n($singular, $plural, $credits, 'uc'), $credits);
					} else {
						$fld_expiry_date = date("Y-m-d H:i:s", strtotime($q->fld_expiry_date));
						$singular = __('You have 1 credit which expires on %2$s.', 'uc');
						$plural = __('You have %1$d credits which expire on %2$s.', 'uc');
						$message = sprintf(_n($singular, $plural, $credits, 'uc'), $credits, $fld_expiry_date);
					}
					?>
					<br />
					<table class="wp-list-table widefat myusercreditsbalance">
						<thead>
							<tr>
								<th><strong><?php _e('My UserCredits', 'uc'); ?></strong></th>
							</tr>
						</thead>
						<tbody>
							<tr class="alternate">
								<td><?php echo $message; ?></td>
							</tr>
						</tbody>
					</table>
					<br />
					<br />
					<?php 
					// are we allowing transfers?
					$allow_credit_transfers = get_option('obr_allow_credit_transfers', 'on');
					$allow_credit_transfers = (bool)$allow_credit_transfers;
					// do we have any credits to transfer?
					$balance = $this->obr_balance($userid);
					// do we have other users to have credits transferred to?
					$q2 = $wpdb->get_results("select *  
												from {$wpdb->prefix}users 
												where ID <> $userid
												order by ID asc;"); 
					?>
					<?php if ($allow_credit_transfers && ($balance > 0) && $q2) : ?>
						<form method="post" action="">
							<table class="wp-list-table widefat">
								<thead>
									<tr>
										<th colspan=2><strong><?php _e('Transfer Credits', 'uc'); ?></strong></th>
									</tr>
								</thead>
								<tbody>
									<tr class="alternate">
										<td colspan=2><?php _e('You can transfer credits to another user below.  If the amount of credits entered is greater than those available, all your credits will be transferred.', 'uc'); ?></td>
									</tr>
									<tr>
										<td><?php _e('Transfer', 'uc'); ?></td>
										<td><input type="text" name="transfervalue" style="text-align: right;" /></td>
									</tr>
									<tr class="alternate">
										<td><?php _e('to', 'uc'); ?></td>
										<td>
											<select name="transferee">
												<?php foreach ($q2 as $row) : ?>
												<option value=<?php echo $row->ID; ?>><?php echo $row->ID.' - '.$row->display_name; ?></option>
												<?php endforeach; ?>
											</select>
										</td>
									</tr>
									<tr>
										<td colspan=2>
											<input type="submit" name="submit_my_uc_admin" value="<?php _e('Transfer Credits', 'uc'); ?>" onclick="return confirm('<?php _e('Are you sure?  Transfers cannot be recalled.', 'uc'); ?>')" />
										</td>
									</tr>
								</tbody>
							</table>
						</form>
					<?php endif; ?>
					<?php
				} else {
					?>
					<p><?php _e('Problem retrieving your balance.  Please contact the administrator.', 'uc'); ?></p>
					<?php
				}
				?>
			</div>
