			<script type="text/javascript">
				function toggleTable(tableId){
					jQuery("#"+tableId).toggle();
					if (jQuery("#"+tableId).css('display') == 'none') {
						jQuery("#atag"+tableId).html('<?php _e('Show Detail', 'uc'); ?>');
					} else {
						jQuery("#atag"+tableId).html('<?php _e('Hide Detail', 'uc'); ?>');
					}
				}
			</script>
			<div class="wrap">
				<h2><?php _e('UserCredits - Current Page Access', 'uc'); ?></h2>

				<?php if (isset($_GET['view']) && intval($_GET['view'] == 1)) : ?>
					<?php $view = 1; ?>
					<?php $url = add_query_arg(array('view' => 0)); ?>
					<p><?php _e('Switch to: ', 'uc'); ?> <a href="<?php echo $url; ?>"><?php _e('View by User', 'uc'); ?></a></p>
				<?php else : ?>
					<?php $view = 0; ?>
					<?php $url = add_query_arg(array('view' => 1)); ?>
					<p><?php _e('Switch to: ', 'uc'); ?> <a href="<?php echo $url; ?>"><?php _e('View by Page', 'uc'); ?></a></p>
				<?php endif; ?>

				<?php
				global $wpdb;
				global $obr_access_table_name;

				$pagenum = 1;
				if (isset($_GET['pagenum'])){
					$pagenum = absint($_GET['pagenum']);
				}
				$numberofrowsonpage = 20;
				$offset = ($pagenum - 1) * $numberofrowsonpage;

				if ($view == 0){
					// view by user

					$total = $wpdb->get_var("select count(*)
									from (
										select distinct users.ID 
										from $obr_access_table_name access
										join {$wpdb->prefix}users users on users.ID = access.ID
										join {$wpdb->prefix}posts pages on pages.ID = access.page
										where (pageexpiry > NOW() or pageexpiry is null or pageexpiry = '0000-00-00 00:00:00') 
										group by users.ID
									) distinctusers;");
					$num_of_pages = ceil($total / $numberofrowsonpage);

					$entries = "select users.ID, users.user_login, users.display_name, users.user_email, count(access.page) as nopages
								from $obr_access_table_name access
								join {$wpdb->prefix}users users on users.ID = access.ID
								join {$wpdb->prefix}posts pages on pages.ID = access.page
								where (pageexpiry > NOW() or pageexpiry is null or pageexpiry = '0000-00-00 00:00:00') 
								group by ID 
								order by ID asc, page asc 
								limit $offset, $numberofrowsonpage;";

					$q = $wpdb->get_results($entries);

					if ($q){
						?>
						<table class="wp-list-table widefat">
							<thead>
								<tr>
									<th><?php _e('ID', 'uc'); ?></th>
									<th><?php _e('User Login', 'uc'); ?></th>
									<th><?php _e('Display Name', 'uc'); ?></th>
									<th><?php _e('User Email', 'uc'); ?></th>
									<th><?php _e('Number of Pages', 'uc'); ?></th>
									<th>&nbsp;</th>
									<th>&nbsp;</th>
								</tr>
							</thead>
							<tbody>
							<?php $counter = 0; ?>
							<?php foreach ($q as $row) : ?>
								<?php if (intval($counter)/2 == intval($counter/2)) : ?>
								<tr class="alternate">
								<?php else : ?>
								<tr>
								<?php endif; ?>
									<td><?php echo $row->ID; ?></td>
									<td><?php echo $row->user_login; ?></td>
									<td><?php echo $row->display_name; ?></td>
									<td><?php echo $row->user_email; ?></td>
									<td><?php echo $row->nopages; ?></td>
									<td><a id="atagpagetable<?php echo $row->ID; ?>" href="javascript:toggleTable('pagetable<?php echo $row->ID; ?>');"><?php if($counter == 0){ _e('Hide Detail', 'uc'); } else { _e('Show Detail', 'uc'); } ?></a></td>
									<?php $q2 = $wpdb->get_results("select page, pageexpiry 
																	from $obr_access_table_name access
																	join {$wpdb->prefix}posts pages on pages.ID = access.page
																	where access.ID = {$row->ID} 
																	and (pageexpiry > NOW() or pageexpiry is null or pageexpiry = '0000-00-00 00:00:00') 
																	order by page asc;"); ?>
									<?php if ($q2) : ?>
									<td>
										<table id="pagetable<?php echo $row->ID; ?>" class="wp-list-table widefat" <?php if($counter <> 0){ echo ' style="display: none;"'; } ?>>
											<thead>
												<tr>
													<th><?php _e('Page Number', 'uc'); ?></th>
													<th><?php _e('Page Name', 'uc'); ?></th>
													<th><?php _e('Page Access Expiry', 'uc'); ?></th>
												</tr>
											</thead>
											<tbody>
												<?php $counter2 = 0; ?>
												<?php foreach ($q2 as $row2) : ?>
													<?php if (intval($counter2)/2 == intval($counter2/2)) : ?>
													<tr class="alternate">
													<?php else : ?>
													<tr>
													<?php endif; ?>
														<td><?php echo $row2->page; ?></td>
														<?php $page = get_post($row2->page); ?>
														<td><a href="<?php echo get_page_link($row2->page); ?>"><?php echo $page->post_title; ?></a></td>
														<td>
														<?php 
														if(is_null($row2->pageexpiry)){
															_e('Does not expire', 'uc');
														} else {
															echo $row2->pageexpiry;
														}
														?>
														</td>
														<?php $counter2++; ?>
													</tr>
												<?php endforeach; ?>
											</tbody>
										</table>
									</td>
									<?php endif; ?>
									<?php $counter++; ?>
								</tr>
							<?php endforeach; ?>
							</tbody>
						</table>
						<?php 
						$page_links = paginate_links(array(
														'base' => add_query_arg('pagenum', '%#%'),
														'format' => '',
														'prev_text' => __('&laquo;', 'uc'),
														'next_text' => __('&raquo;', 'uc'),
														'total' => $num_of_pages,
														'current' => $pagenum
													));
						?>
						<?php if ($page_links) : ?>
							<div class="tablenav">
								<div class="tablenav-pages" style="float: left; margin: 1em 0;">
									<?php echo $page_links; ?>
								</div>
							</div>
						<?php endif; ?>
						<?php
					} else {
						_e('No results to display.', 'uc');
					}
				
				} else {
					// view by page

					$total = $wpdb->get_var("select count(users.ID)
									from $obr_access_table_name access
									join {$wpdb->prefix}users users on users.ID = access.ID
									join {$wpdb->prefix}posts pages on pages.ID = access.page
									where (pageexpiry > NOW() or pageexpiry is null or pageexpiry = '0000-00-00 00:00:00') 
									group by users.ID;");
					$num_of_pages = ceil($total / $numberofrowsonpage);

					$entries = "select access.page, count(users.ID) as nousers
								from $obr_access_table_name access
								join {$wpdb->prefix}users users on users.ID = access.ID
								join {$wpdb->prefix}posts pages on pages.ID = access.page
								where (pageexpiry > NOW() or pageexpiry is null or pageexpiry = '0000-00-00 00:00:00') 
								group by access.page 
								order by page asc, users.ID asc  
								limit $offset, $numberofrowsonpage;";

					$q = $wpdb->get_results($entries);

					if ($q){
						?>
						<table class="wp-list-table widefat">
							<thead>
								<tr>
									<th><?php _e('Page', 'uc'); ?></th>
									<th><?php _e('Page Name', 'uc'); ?></th>
									<th><?php _e('Number of Users', 'uc'); ?></th>
									<th>&nbsp;</th>
									<th>&nbsp;</th>
								</tr>
							</thead>
							<tbody>
							<?php $counter = 0; ?>
							<?php foreach ($q as $row) : ?>
								<?php if (intval($counter)/2 == intval($counter/2)) : ?>
								<tr class="alternate">
								<?php else : ?>
								<tr>
								<?php endif; ?>
									<td><?php echo $row->page; ?></td>
									<?php $page = get_post($row->page); ?>
									<td><a href="<?php echo get_page_link($row->page); ?>"><?php echo $page->post_title; ?></a></td>
									<td><?php echo $row->nousers; ?></td>
									<td><a id="atagpagetable<?php echo $row->page; ?>" href="javascript:toggleTable('pagetable<?php echo $row->page; ?>');"><?php if($counter == 0){ _e('Hide Detail', 'uc'); } else { _e('Show Detail', 'uc'); } ?></a></td>
									<?php $q2 = $wpdb->get_results("select users.ID, users.user_login, users.display_name, users.user_email, pageexpiry 
																	from {$wpdb->prefix}users users 
																	join $obr_access_table_name access on access.ID = users.ID
																	join {$wpdb->prefix}posts pages on pages.ID = access.page
																	where page = {$row->page} 
																	and (pageexpiry > NOW() or pageexpiry is null or pageexpiry = '0000-00-00 00:00:00') 
																	order by ID asc;"); ?>
									<?php if ($q2) : ?>
									<td>
										<table id="pagetable<?php echo $row->page; ?>" class="wp-list-table widefat" <?php if($counter <> 0){ echo ' style="display: none;"'; } ?>>
											<thead>
												<tr>
													<th><?php _e('ID', 'uc'); ?></th>
													<th><?php _e('User Login', 'uc'); ?></th>
													<th><?php _e('Display Name', 'uc'); ?></th>
													<th><?php _e('User Email', 'uc'); ?></th>
													<th><?php _e('Page Access Expiry', 'uc'); ?></th>
												</tr>
											</thead>
											<tbody>
												<?php $counter2 = 0; ?>
												<?php foreach ($q2 as $row2) : ?>
													<?php if (intval($counter2)/2 == intval($counter2/2)) : ?>
													<tr class="alternate">
													<?php else : ?>
													<tr>
													<?php endif; ?>
														<td><?php echo $row2->ID; ?></td>
														<td><?php echo $row2->user_login; ?></td>
														<td><?php echo $row2->display_name; ?></td>
														<td><?php echo $row2->user_email; ?></td>
														<td>
														<?php 
														if(is_null($row2->pageexpiry)){
															_e('Does not expire', 'uc');
														} else {
															echo $row2->pageexpiry;
														}
														?>
														</td>
														<?php $counter2++; ?>
													</tr>
												<?php endforeach; ?>
											</tbody>
										</table>
									</td>
									<?php endif; ?>
									<?php $counter++; ?>
								</tr>
							<?php endforeach; ?>
							</tbody>
						</table>
						<?php 
						$page_links = paginate_links(array(
														'base' => add_query_arg('pagenum', '%#%'),
														'format' => '',
														'prev_text' => __('&laquo;', 'uc'),
														'next_text' => __('&raquo;', 'uc'),
														'total' => $num_of_pages,
														'current' => $pagenum
													));
						?>
						<?php if ($page_links) : ?>
							<div class="tablenav">
								<div class="tablenav-pages" style="float: left; margin: 1em 0;">
									<?php echo $page_links; ?>
								</div>
							</div>
						<?php endif; ?>
						<?php
					} else {
						_e('No results to display.', 'uc');
					}

				}
				?>
			</div>
