			<div class="wrap">
				<h2><?php _e('UserCredits - User Balances', 'uc'); ?></h2>
				<?php
				global $wpdb;
				global $obr_table_name;
				global $obr_purchase_log_table_name;

				global $expiryvalues;

				$pagenum = 1;
				if (isset($_GET['pagenum'])){
					$pagenum = absint($_GET['pagenum']);
				}
				$numberofrowsonpage = 20;
				$offset = ($pagenum - 1) * $numberofrowsonpage;

				$total = $wpdb->get_var("SELECT COUNT('ID') FROM {$wpdb->prefix}users;");
				$num_of_pages = ceil($total / $numberofrowsonpage);
				$entries = "SELECT * FROM {$wpdb->prefix}users ORDER BY ID ASC LIMIT $offset, $numberofrowsonpage;";

				$q = $wpdb->get_results($entries);
				if ($q){
					?>
					<table class="wp-list-table widefat">
						<thead>
							<tr>
								<th><?php _e('ID', 'uc'); ?></th>
								<th><?php _e('User Login', 'uc'); ?></th>
								<th><?php _e('User Email', 'uc'); ?></th>
								<th><?php _e('Registration Date', 'uc'); ?></th>
								<th><?php _e('Credits', 'uc'); ?></th>
								<th><?php _e('Expiry Date', 'uc'); ?></th>
								<th><?php _e('Update Expiry Date', 'uc'); ?></th>
								<th><?php _e('Last Credit Update', 'uc'); ?></th>
								<th><?php _e('Last Email Sent', 'uc'); ?></th>
								<th><?php _e('Default Bundle', 'uc'); ?></th>
								<th>&nbsp;</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td>&nbsp;</td>
								<td>&nbsp;</td>
								<td><em><?php _e('Click to email the user using your email client', 'uc'); ?></em></td>
								<td>&nbsp;</td>
								<td>&nbsp;</td>
								<td><em><?php _e('Date on which all credits expire', 'uc'); ?></em></td>
								<td><em><?php _e('Check the box, then select from the dropdown list', 'uc'); ?></em></td>
								<td>&nbsp;</td>
								<td>&nbsp;</td>
								<td><em><?php _e('Last bundle added.  See the Balance Resets page for more info.', 'uc'); ?></em></td>
								<td>&nbsp;</td>
							</tr>
						<?php $counter = 0; ?>
						<?php foreach ($q as $row) : ?>
							<?php
							// now check that we have a balance for this user
							$q2 = $wpdb->get_row("select * from $obr_table_name where ID = ".intval($row->ID).";");
							if ($q2){
								// we have a balance
								$balance = $q2->fld_credits;
							} else {
								// we don't have a balance
								$balance = 0;
								$q3 = $wpdb->insert($obr_table_name, 
														array('ID' => intval($row->ID), 'fld_credits' => $balance, 'last_credit' => $this->obr_datetime(), 'last_reminder' => $this->obr_datetime()), 
														array('%d', '%d', '%s', '%s')
													);
							}
							$q2 = $wpdb->get_row("select * from $obr_table_name where ID = ".intval($row->ID).";");
							?>
							<?php if (intval($counter)/2 == intval($counter/2)) : ?>
							<tr class="alternate">
							<?php else : ?>
							<tr>
							<?php endif; ?>
								<td><?php echo $row->ID; ?></em></td>
								<td><?php echo $row->user_login; ?></em></td>
								<?php $subject = sprintf(_n('You have 1 UserCredit.', 'You have %d UserCredits.', $balance, 'uc'), $balance); ?>
								<td><a href="mailto:<?php echo $row->user_email; ?>?subject=<?php echo $subject; ?>&amp;body=<?php echo $subject; ?>"><?php echo $row->user_email; ?></a></em></td>
								<td><?php echo $row->user_registered; ?></em></td>
								<form method="post" action="">
									<td>
										<input name="balance" style="text-align: right; width: 75px;" value=<?php echo $balance; ?> />
										<input name="id" type="hidden" value='<?php echo $row->ID; ?>' />
									</em></td>
									<td>
										<?php
										if (($q2->fld_expiry_date == '0000-00-00 00:00:00') || ($q2->fld_expiry_date == null)){
											_e('None', 'uc');
										} else {
//											echo date_i18n(get_option('date_format'), strtotime($q2->fld_expiry_date));
											echo $q2->fld_expiry_date;
										}
										?>
									</em></td>
									<td>
										<input type="checkbox" name="updateexpiry" />
										<?php $this->obr_add_expiry_select(); ?>
									</em></td>
									<td><?php echo $q2->last_credit; ?></em></td>
									<td><?php echo $q2->last_reminder; ?></em></td>
									<td><?php $this->obr_add_bundle_select($q2->fld_bundle_type); ?></em></td>
									<td><input type="submit" name="submit_user_balances" value="<?php _e('Update', 'uc'); ?>" /></em></td>
								</form>
								<?php $counter++; ?>
							</tr>
						<?php endforeach; ?>
						</tbody>
					</table>
					<?php 
					$page_links = paginate_links(array(
													'base' => add_query_arg('pagenum', '%#%'),
													'format' => '',
													'prev_text' => __('&laquo;', 'uc'),
													'next_text' => __('&raquo;', 'uc'),
													'total' => $num_of_pages,
													'current' => $pagenum
												));
					?>
					<?php if ($page_links) : ?>
						<div class="tablenav">
							<div class="tablenav-pages" style="float: left; margin: 1em 0;">
								<?php echo $page_links; ?>
							</div>
						</div>
					<?php endif; ?>
					<?php
				} else {
					_e('No results to display.', 'uc');
				}
				?>
			</div>
